# Les CSS

CSS, acronyme de Cascading Style Sheet, en français feuille de style en cascade, est la norme utilisée par un site Web pour indiquer aux navigateurs comment une page doit être affichée. Les CSS n'apportent pas de sens au document, seulement une apparence graphique.

La structure de base d'une règle en CSS est la suivante :

```css
élément-ciblé {
	propriété: valeur;
}
```

## Cibler un élément

## Les propriétés

### `color`

Spécifie la couleur du texte. Prend une valeur de type couleur.

### `background-color`

Spécifie la couleur de fond. Prend une valeur de type couleur.

### `font-size`

Spécifie taille du texte. Prend une valeur de type taille.

## Les valeurs

### Couleurs

L'indication de couleur par mot-clé est la plus simple pour commencer. L'utilisation de code hexadécimal est plus compliquée, mais permet de choisir précisément la couleur recherchée.

#### Mot-clé

Il suffit d'indiquer le nom de la couleur en anglais.

-Insérer lien vers la liste de mot clé de MDN-

#### Hexadécimale

La notation de couleur hexadécimale représente les valeurs de rouge, de vert et bleu par 2 chiffres hexadécimaux chacun.

Un chiffre hexadécimal représente une valeur ordinale en base 16, c'est à dire qu'il utilise un ensemble de 16 symboles/chiffres (`0123456789abcdef`) pour représenter les nombres, au lieu des 10 dont on a l'habitude.

En CSS, une couleur hexadécimale est toujours précédée d'un dièse (`#`).

Quelques exemples simples :
* Du rouge : `#ff0000`
* Du vert : `#00ff00`
* Du jaune (du rouge, du vert, pas de bleu) : `#ffff00`

Pour copier le code hexadécimal d'une couleur présente sur une page Web dans les navigateurs basés sur Firefox, on peut aller dans `Menu` > `Développement Web` > `Pipette`.

La plupart des logiciels de dessins intègrent des sélecteur de couleur qui affichent la valeur en hexadécimal. Celui de [Gimp](https://gimp.org) par exemple.

### Taille
