# Gemini

Gemini est un protocole et un format de fichier, destinés à être utilisés ensemble dans un système hypertexte.

Gemini est axé sur les objectifs de :
* Simplicité d'implémentation
* Simplicité d'utilisation
* Confidentialité

## Le protocole

Le protocole Gemini permet simplement à un client de demander une ressource et au serveur de lui envoyer, avec son type MIME.

C'est HTTP avec seulement la méthode GET, pas de cookies, pas d'en-têtes envoyées par le client.

La communication est chiffrée avec TLS, mais sans vérifier l'authenticité des certificats (TOFU).

## Le format de fichier

Le format de fichier Gemini permet de décrire un document, d'après une syntaxe ressemblant à du [Markdown](markdown.md) simplifié.

### Les titres

Les titres sont définit comme en Markdown, en mettant un `#` devant :

```
# Titre principal
## Sous-titre
### Sous-sous-titre
```

### Les liens

On créé un lien hypertexte en préfixant une adresse par une flèche : `=> `. Si il y a du texte qui suit une première espace dans l'adresse, ce sera le titre du lien.

```gemtext
=> about.gmi À propos
=> gemini://gemini.exemple/ Un exemple de capsule Gemini
=> https://www.exemple/blog/
```

```markdown
[about.gmi](À propos)
[gemini://exemple/](Un exemple de capsule Gemini)
<https://www.exemple/blog/>
```

```html
<a href="about.gmi">À propos</a>
<a href="gemini://exemple/">Un exemple de capsule Gemini</a>
<a href="https://www.exemple/blog/">https://www.exemple/blog/</a>
```
