# Glue record

Lorsqu'un résolveur DNS doit résoudre un domaine dont l'adresse du serveur de noms se trouve sur ce domaine (ou plus souvent, sur un sous-domaine), il se trouve bloqué car seul le serveur de noms en question connaît sa propre adresse IP.

Pour remédier à ce problème, le serveur de noms parent va envoyer en plus de l'enregistrement NS les enregistrements A ou AAAA correspondant à cet enregistrement NS.

N.B. : Un glue record n'est possible et utile que si l'adresse d'un serveur de nom est située dans un sous-domaine de la zone dont il a autorité.

## Exemple

Le résolveur DNS veut résoudre `niver.atope.art.`. Lors de son processus récursif de résolution, le serveur ayant autorité sur `art.` va répondre que le serveur de noms de la zone `atope.art.` est `ns1.atope.art.` (par un enregistrement NS), mais il va aussi répondre que les adresse IP de ce nom de domaine sont `45.13.104.169` et `2a0b:cbc0:1103:2::106f` (respectivement par des enregistrements A et AAAA).

### Tester le glue record de cet exemple avec dig

D'abord, obtenir les noms de domaine des serveurs de noms étant censés envoyer le glue record :

```
$ dig +short art. NS
d.nic.art.
a.nic.art.
c.nic.art.
b.nic.art.
```

Ensuite, en utilisant l'un des serveurs répondus à la requête précédente :

`dig atope.art. NS @c.nic.art.`

La réponse contiendra une section additionnelle avec les glue records :

```
;; AUTHORITY SECTION:
atope.art.              3600    IN      NS      ns1.atope.art.

;; ADDITIONAL SECTION:
ns1.atope.art.          3600    IN      A       203.0.113.42
ns1.atope.art.          3600    IN      AAAA    2001:db8::3
```

-> Passer un domaine précédé d'une arobase en argument à `dig` lui indique le serveur de noms auprès duquel effectuer la requête.
