# Le format de fichier Markdown

Markdown est un langage créer pour simplifier la rédaction de texte, dans le but d'être transformer en HTML.

## Les titres

Une ligne qui commence par `#` est un titre. L'imporance du titre est définie par le nombre de `#`.

Markdown :
```
# Titre de niveau 1
###### Titre de niveau 6
```

Équivalent HTML :
```
<h1>Titre de niveau 1</h1>
<h6>Titre de niveau 6</h6>
```

## Les liens

Markdown :
```
[Texte du lien](https://example/chemin)
```

Équivalent HTML :
```
<a href="https://example/chemin">Texte du lien</a>
```

Résultat :

[Texte du lien](https://example/chemin)

## Les images

Markdown :
```
![Texte alternatif](https://example/image)
```

Équivalent HTML :
```
<img src="https://example/image" alt="Texte alternatif">
```

## Texte préformatté en ligne

Markdown :
```
Lister les dossier dans le fichier : `ls`
```

Équivalent HTML :
```
Lister les dossier dans le fichier : <code>ls</code>
```

Résultat :

Lister les dossier dans le fichier : `ls`

## Texte préformatté en bloc

Équivalent HTML :
```
<pre>
$ make
# make install
</pre>
```

Résultat :

```
$ make
# make install
```

## Citation

Markdown :
```
> J'ai faim.
```

Équivalent HTML :
```
<blockquote><p>J'ai faim.</p></blockquote>
```

Résultat

> J'ai faim.

## Emphase

Markdown :
```
J'ai réussi *in extremis*.
```

Équivalent HTML :
```
J'ai réussi <em>in extremis</em>.
```

Résultat :

J'ai réussi *in extremis*.

## Importance

Markdown :
```
Les kangourous vivent en **Australie**.
```

Équivalent HTML :
```
Les kangourous vivent en <strong>Australie</strong>.
```

Résultat :

Les kangourous vivent en **Australie**.

## Liste

Markdown :
```
* 12g de farine
* 8g de beurre
* 6g de sucre
```

Équivalent HTML :
```
<ul>
  <li>12g de farine</li>
  <li>8g de beurre</li>
  <li>6g de sucre</li>
</ul>
```

Résultat :

* 12g de farine
* 8g de beurre
* 6g de sucre

## Liste ordonnée

Markdown :
```
1) Mettre la farine dans un saladier
2) Ajouter le beurre et mélanger
3) Verser le sucre petit à petit en continuant de mélanger
```

Équivalent HTML :
```
<ol>
  <li>Mettre la farine dans un saladier</li>
  <li>Ajouter le beurre et mélanger</li>
  <li>Verser le sucre petit à petit en continuant de mélanger</li>
</ol>
```

Résultat :

1) Mettre la farine dans un saladier
2) Ajouter le beurre et mélanger
3) Verser le sucre petit à petit en continuant de mélanger

## Séparateur

Markdown :
```
***
```

Équivalent HTML :
```
<hr>
```

Résultat :

***
