# Le protocole SFTP

SFTP est un protocole basé sur la cryptographie utilisée dans SSH, qui permet de transferrer des fichiers sur le modèle client-serveur.

## Clients SFTP

Il existe plusieurs clients SFTP.

### En ligne de commande (CLI)

#### SSHFS

La commande `sshfs` permet de monter un dossier SFTP dans l'arborescence de fichiers de son système.

`sshfs -p <port> <utilisataire>@<serveur>:<chemin distant> <chemin local>`

Les logiciels du système local pourront ainsi accéder au contenu en passant par `<chemin local>`, sans se soucier qu'ils supportent SFTP ou non.

Pour se déconnecter : `umount <chemin local>`

* Nom du paquet Debian : `sshfs-fuse`
* Nom du paquet Arch Linux : `sshfs`
* Nom du paquet Fedora : `fuse-sshfs`
* Page Repology : <https://repology.org/project/fusefs:sshfs/versions>

#### OpenSSH

OpenSSH founit la commande `sftp` qui a pour syntaxe : `sftp -P <port> <utilisataire>@<serveur>`.

* Nom courant du paquet sur GNU/Linux : `openssh`
* Page Repology : <https://repology.org/project/openssh/versions>

### Graphiques

#### Dolphin

Dolphin est l'explorateur de fichiers de KDE. Pour se connecter à un serveur SFTP avec Dolphin, saisir l'URL SFTP dans la barre d'addresse.

Nom courant du paquet sur GNU/Linux : `dolphin`
Page Repology : <https://repology.org/project/dolphin-fm/versions>

#### GNOME Fichiers

GNOME Fichiers est l'explorateur de fichiers de GNOME.

* Nom courant du paquet sur GNU/Linux : `nautilus`
* Page Repology : <https://repology.org/project/nautilus/versions>

#### Thunar

Thunar est l'explorateur de fichiers de XFCE.

* Nom courant du paquet sur GNU/Linux : `thunar`
* Page Repology : <https://repology.org/project/thunar/versions>


#### FileZilla

FileZilla est un logiciel spécialisé dans le transfert de fichiers par Internet.

* Nom courant du paquet sur GNU/Linux : `filezilla`
* Page Repology : <https://repology.org/project/filezilla/versions>
* Aussi disponible pour Windows et macOS : <https://filezilla-project.org/>
