# Le réseau Tor

Tor (acronyme de The Onion Router, en français le routeur en ognon) est un réseau d'anonymisation de connexion construit par dessus Internet. Il permet à ses utilisataires de relayer leur connexion par des ordinateurs intermédiaires afin de ne pas communiquer leur propre adresse IP.

Le réseau Tor est composé de milliers d'ordinateurs bénévoles connectés à différentes connexions Internet et endroits du monde (surtout aux États-Unis, en France, en Allemagne et aux Pays-Bas).

Lorsqu'ane utilisataire souhaites établir une connexion Internet en utilisant Tor comme intermédiaire, son client Tor demande la liste de tous les relais à l'un des relais qu'il a préchargé, puis choisit 3 de ces relais pour les utiliser en chaîne.

Client Tor <=> Relai A (dit garde) <=> Relai B <=> Relai C (dit de sortie) <=> Autre ordinateur connecté à Internet

Dans cette chaîne, chaque élément ne connaît que les identités (les addresses IP) de ses voisins directs (à par le client qui les connaît toutes).

Les informations sont réparties entre les maillons de la chaîne de sorte que personne ne sache qui a fait quoi :

* A : Le relai garde sait qui utilise le réseau Tor, mais pas pour faire quoi.
* B : Le relai central ne sais rien du tout.
* C : Le relai de sortie peut lire et modifier toutes les données à la sortie du réseau Tor, mais il ne sais pas qui a initié cette connexion.

Que ce soit dans une utilisation normale d'Internet pour se protéger de son FAI, ou dans une utilisation de Tor pour se protéger du relai de sortie, l'utilisation de la cryptographie pour le chiffrement de bout en bout est toujours nécessaire pour garantir la confidentialité et l'intégrité des données échangées entre les ordinateurs aux extrémités du réseau.

## Services Onion

Tor permet également d'être utilisé pour rendre accessible un service réseau.

### Avantage par rapport à un site IP+DNS+TLS

* Pas besoin de pouvoir recevoir de connexion, il suffit de pouvoir en émettre
* Pas besoin de nom de domaine
* Pas besoin d'autorité de certification
* Chiffré de bout en bout
* Plus anonyme

### Désavantage par rapport à un site IP+DNS+TLS

* Ne marche que depuis le réseau Tor, qui est plus lent qu'une connexion directe
* C'est plus compliqué d'écrire l'adresse de mémoire ou de vérifier l'identité du site
